Package opennlp.tools.chunker

## Class DefaultChunkerContextGenerator

- java.lang.Object
- - opennlp.tools.chunker.DefaultChunkerContextGenerator

- All Implemented Interfaces:
    `ChunkerContextGenerator`, `BeamSearchContextGenerator<TokenTag>`

      public class DefaultChunkerContextGenerator
      extends Object
      implements ChunkerContextGenerator

  Features based on chunking model described in Fei Sha and Fernando Pereira. Shallow parsing with conditional random fields. In Proceedings of HLT-NAACL 2003. Association for Computational Linguistics, 2003.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultChunkerContextGenerator()` | Initializes a `DefaultChunkerContextGenerator` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `getContext​(int i, String[] toks, String[] tags, String[] preds)` | Retrieves the contexts for chunking of the specified `idx`.
    `String[]` | `getContext​(int index, String[] tokens, String[] postags, String[] priorDecisions, Object[] additionalContext)` |
    `String[]` | `getContext​(int index, TokenTag[] sequence, String[] priorDecisions, Object[] additionalContext)` | Returns the context for the specified position in the specified `sequence` (list).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultChunkerContextGenerator

          public DefaultChunkerContextGenerator()

      Initializes a `DefaultChunkerContextGenerator` instance.

  - ### Method Detail

    - #### getContext

          public String[] getContext​(int index,
                                     String[] tokens,
                                     String[] postags,
                                     String[] priorDecisions,
                                     Object[] additionalContext)

    - #### getContext

          public String[] getContext​(int i,
                                     String[] toks,
                                     String[] tags,
                                     String[] preds)

      Description copied from interface: `ChunkerContextGenerator`
      Retrieves the contexts for chunking of the specified `idx`.
      Specified by:
        `getContext` in interface `ChunkerContextGenerator`
      Parameters:
        `i` - The index of the token in the specified `toks` array for which the context should be constructed.
        `toks` - The tokens of the sentence. The `toString` methods of these objects should return the token text.
        `tags` - The POS tags for the specified tokens.
        `preds` - The previous decisions made in the tagging of this sequence. Only indices less than `idx` will be examined.
      Returns:
        An array of predictive contexts on which a model basis its decisions.

    - #### getContext

          public String[] getContext​(int index,
                                     TokenTag[] sequence,
                                     String[] priorDecisions,
                                     Object[] additionalContext)

      Description copied from interface: `BeamSearchContextGenerator`
      Returns the context for the specified position in the specified `sequence` (list).
      Specified by:
        `getContext` in interface `BeamSearchContextGenerator<TokenTag>`
      Parameters:
        `index` - The index of the `sequence`.
        `sequence` - The sequence of `items` over which the beam search is performed.
        `priorDecisions` - The sequence of decisions made prior to the context for which this decision is being made.
        `additionalContext` - Any addition context specific to a class implementing this interface.
      Returns:
        The context for the specified `index` in the specified `sequence`.